{* Smarty *}
{if $updates.persons}
<h2>{$smarty.const.LN_PERSONS}</h2>
<table class="recent">
<thead>
	<tr>
		<th></th>
		<th>{$smarty.const.LN_NAME}</th>
		<th colspan="2">{$smarty.const.LN_BIRTH}</th>
		<th colspan="2">{$smarty.const.LN_DEATH}</th>
		{if $updates.persons.0.chan}<th>{$smarty.const.LN_LAST_UPDATED}</th>{/if}
	</tr>
</thead>
<tbody>
{foreach from=$updates.persons item=i name=i}
	<tr>
		<td>{$smarty.foreach.i.iteration}</td>
		<td><a href="{$i.url}">{$i.surn}, {$i.givn} {$i.spfx}</a></td>
		<td class="date">{$i.begi}</td><td>{$i.begi_plac}</td>
		<td class="date">{$i.end}</td><td>{$i.end_plac}</td>
		{if $updates.persons.0.chan}<td>{$i.chan}</td>{/if}
	</tr>
{/foreach}
</tbody>
</table>
{if !$record}<p><a href="{$smarty.const.CF_BASE_URL}recent/persons">{$smarty.const.LN_MORE}</a></p>{/if}
{/if}

{if $updates.comments}
<h2>{$smarty.const.LN_COMMENTS}</h2>
<table class="recent">
<thead>
	<tr>
		<th></th>
		<th>{$smarty.const.LN_USER}</th>
		<th>{$smarty.const.LN_COMMENT}</th>
		<th>{$smarty.const.LN_LAST_UPDATED}</th>
	</tr>
</thead>
{foreach from=$updates.comments item=i name=i}
<tbody>
	<tr>
		<td>{$smarty.foreach.i.iteration}</td>
		<td>{$i.name}</td>
		<td>
			<strong>{$smarty.const.LN_LINKED_TO}</strong>:
			{if $i.linked.record == 'person'}{$smarty.const.LN_PERSON}: <a href="{$i.linked.url}#comment{$i.cmid}">{$i.linked.givn} {$i.linked.spfx_surn}</a> {if $i.linked.begi or $i.linked.end}({$i.linked.begi}-{$i.linked.end}){/if}{/if}
			{if $i.linked.record == 'fam'}{$smarty.const.LN_FAMILY}: {if $i.linked.husb}<a href="{$i.linked.husb.url}#comment{$i.cmid}">{$i.linked.husb.npfx} {$i.linked.husb.givn} {$i.linked.husb.spfx_surn} {$i.linked.husb.nsfx}</a>{/if} & {if $i.linked.wife}<a href="{$i.linked.wife.url}#comment{$i.cmid}">{$i.linked.wife.npfx} {$i.linked.wife.givn} {$i.linked.wife.spfx_surn} {$i.linked.wife.nsfx}</a>{/if}{/if}
			{if $i.linked.record == 'event'}{$smarty.const.LN_EVENT}: <a href="{$i.linked.url}#comment{$i.cmid}">{$i.linked.type}: {$i.linked.value} {$i.linked.date} {$i.linked.plac}</a>{/if}
			{if $i.linked.record == 'media'}{$smarty.const.LN_MEDIA}: <a href="{$i.linked.url}#comment{$i.cmid}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'note'}{$smarty.const.LN_NOTE}: <a href="{$i.linked.url}#comment{$i.cmid}">{$i.linked.title}</a>{/if}
			{if $i.linked.record == 'source'}{$smarty.const.LN_SOURCE}: <a href="{$i.linked.url}#comment{$i.cmid}">{$i.linked.abbr}</a>{/if}
			<br /><strong>{$smarty.const.LN_TEXT}:</strong> {$i.text|strip_tags|truncate:200:"...":false}
		</td>
		<td>{$i.date}</td>
	</tr>
</tbody>
{/foreach}
</table>
{if !$record}<p><a href="{$smarty.const.CF_BASE_URL}recent/comments">{$smarty.const.LN_MORE}</a></p>{/if}
{/if}

{if $updates.notes}
<h2>{$smarty.const.LN_NOTES}</h2>
<table class="recent">
<thead>
	<tr>
		<th></th>
		<th>{$smarty.const.LN_NOTE}</th>
		{if $updates.notes.0.chan}<th>{$smarty.const.LN_LAST_UPDATED}</th>{/if}
	</tr>
</thead>
{foreach from=$updates.notes item=i name=i}
<tbody>
	<tr>
		<td>{$smarty.foreach.i.iteration}</td>
		<td><a href="{$i.url}">{$i.titl}</a></td>
		{if $updates.notes.0.chan}<td>{$i.chan}</td>{/if}
	</tr>
</tbody>
{/foreach}
</table>
{if !$record}<p><a href="{$smarty.const.CF_BASE_URL}recent/notes">{$smarty.const.LN_MORE}</a></p>{/if}
{/if}

{if $updates.media}
<h2>{$smarty.const.LN_MEDIA}</h2>
<table class="recent">
<thead>
	<tr>
		<th></th>
		<th>{$smarty.const.LN_FILE}</th>
		<th>{$smarty.const.LN_TITLE}</th>
		{if $updates.media.0.chan}<th>{$smarty.const.LN_LAST_UPDATED}</th>{/if}
	</tr>
</thead>
{foreach from=$updates.media item=i name=i}
<tbody>
	<tr>
		<td>{$smarty.foreach.i.iteration}</td>
		<td><a href="{$i.url}">{if $i.th}<img src="{$i.th}" alt="{$i.titl}" title="{$i.titl}" />{else}{$i.file}{/if}</a></td>
		<td><a href="{$i.url}">{$i.titl}</a></td>
		{if $updates.media.0.chan}<td>{$i.chan}</td>{/if}
	</tr>
</tbody>
{/foreach}
</table>
{if !$record}<p><a href="{$smarty.const.CF_BASE_URL}recent/media">{$smarty.const.LN_MORE}</a></p>{/if}
{/if}