{* Smarty *}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$used_lang}" lang="{$used_lang}" dir="{$smarty.const.LN_DIR}">
<head>
	{$headers}
	<link rel="shortcut icon" href="{$smarty.const.CF_BASE_PATH}favicon.ico" />
	<link rel="stylesheet" type="text/css"  media="screen" href="{$smarty.const.URL_TPL}{$used_template}/templates/style.css" />
	<link rel="stylesheet" type="text/css"  media="print" href="{$smarty.const.URL_TPL}{$used_template}/templates/print.css" />
{if $smarty.const.LN_DIR == 'rtl'}
	<link rel="stylesheet" type="text/css" href="{$smarty.const.URL_TPL}{$used_template}/templates/rtl.css" />
{/if}
	<!--[if lt IE 7]><link rel="stylesheet" type="text/css" href="{$smarty.const.URL_TPL}{$used_template}/templates/ie6.css" /><![endif]-->
	{$headers_js}
	{$smarty.const.CF_HEADER_CODE}
</head>
<body><div id="wrapper">
<div id="top">
{if $change_lang_list}
<div id="change_lang_list">
{$smarty.const.LN_CHANGE_LANG}:
{foreach from=$change_lang_list item=language key=lng name=language}
{if $lng == $used_lang}
	{$language}
{else}
	<a href="{$smarty.const.CF_BASE_URL}changelanguage{$smarty.const.CF_VAR_BASE}lng={$lng}">{$language}</a>
{/if}
{if !$smarty.foreach.language.last} &#8226; {/if}
{/foreach}
</div>
{/if}
{foreach from=$header_menu item=hm name=hm}
<a href="{$hm.url}">{$hm.title}{if $hm.title == $smarty.const.LN_LOGOUT} ({$logged_username nocache}){/if}</a>{if !$smarty.foreach.hm.last} &#8226; {/if}
{/foreach}
</div>
<div id="header">
<div id="title">{$smarty.const.CF_TITLE}<div id="subtitle">{$smarty.const.CF_SUBTITLE}</div></div>
</div>
<div>
<form id="search-form" action="{$smarty.const.CF_BASE_GET}" method="get">
<table>
<tbody>
	<tr>
		<td><input type="hidden" name="a" value="{$smarty.const.CF_BASE_LANG}search" /><label for="sn">{$smarty.const.LN_SURNAME}:</label></td>
		<td><input type="text" name="sn" id="sn" value="{$surn}" /></td>
		<td><label for="gv">{$smarty.const.LN_GIVEN_NAMES}:</label></td>
		<td><input type="text" name="gv" id="gv" value="{$givn}" /></td>
		<td><label for="pl">{$smarty.const.LN_PLACE}:</label></td>
		<td><input type="text" name="pl" id="pl" value="{$plac}" /></td>
		<td><label for="dd">{$smarty.const.LN_BETWEEN}:</label></td>
		<td><input type="text" name="dd" id="dd" value="{$date1}" maxlength="4" class="short" /></td>
		<td><label for="ddd">{$smarty.const.LN_AND}:</label></td>
		<td><input type="text" name="ddd" id="ddd" value="{$date2}" size="4" maxlength="4" class="short" /></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SEARCH}" /></td>
	</tr>
</tbody>
</table>
</form>
</div>
<div id="content">
<p><a href="{$smarty.const.CF_BASE_HOME}">{$smarty.const.LN_HOME}</a>{if isset($bread_crumb)}{foreach from=$bread_crumb item=bc} &raquo; {$bc}{/foreach}{/if}</p>
<div id="sidebar">{include file="sidebar.tpl"}</div>
<div id="main">
{if isset($heading)}<h1>{$heading}</h1>{/if}
{foreach from=$mess_stack item=ms}
	{if isset($ms.error)}
		<p class="error">{$ms.error}</p>
	{elseif isset($ms.message)}
		<p class="message">{$ms.message}</p>
	{elseif isset($ms.warning)}
		<p class="warning">{$ms.warning}</p>
	{/if}
{/foreach}
{include file="$action.tpl"}
<div class="clear"></div>
</div>
</div>
<div id="footer">
{if $change_tpl_list}
<div id="change_tpl_list">
{$smarty.const.LN_CHANGE_TPL}:
{foreach from=$change_tpl_list item=template key=tpl name=tpl}
{if $tpl == $used_template}
	{$template}
{else}
	<a href="{$smarty.const.CF_BASE_URL}changetemplate{$smarty.const.CF_VAR_BASE}tpl={$tpl}">{$tpl}</a>
{/if}
{if !$smarty.foreach.tpl.last} &#8226; {/if}
{/foreach}
</div>
{/if}
{foreach from=$footer_menu item=fm name=fm}
<a href="{$fm.url}">{$fm.title}{if $fm.title == $smarty.const.LN_LOGOUT} ({$logged_username nocache}){/if}</a>{if !$smarty.foreach.fm.last} &#8226; {/if}
{/foreach}
</div>
<div id="bottom">Powered by <a href="http://www.familytreephp.com">Family Tree PHP</a> {$smarty.const.CF_VERSION} &copy; 2009-2011 <a href="http://www.gerritveldman.nl">Gerrit Veldman</a></div>
</div>
	{$smarty.const.CF_FOOTER_CODE}
	{$cron_insert}
{if !$cookie_consent}
<div id="cookie_overlay">
<div id="cookie_alert">
{$cookie_alert}
<form action="{$smarty.const.CF_BASE_URL}cookieconsent" method="POST">
<input type="hidden" name="cc" value="1" />
<input type="submit" name="submit" value="{$smarty.const.LN_COOKIE_CONSENT}" />
</form>
</div>
</div>
{/if}
</body>
</html>

